\documentclass[9.5pt,headsepline,cleardoubleempty,bibtotoc,tablecaptionabove,english,twoside]{scrartcl}
\usepackage[utf8]{inputenc}
\usepackage{multicol}
\usepackage{xcolor}
\usepackage{fontspec}

\setlength{\columnsep}{7mm}
\setlength{\parskip}{3mm}

\newfontfamily\fontheading[SizeFeatures={Size=48}]{MyriadPro-Bold}
\newfontfamily\fontauthor[SizeFeatures={Size=24}]{MyriadPro-Light}
\newfontfamily\fontpagenr[SizeFeatures={Size=14}]{Myriad Pro}
\newfontfamily\fontsubheading[SizeFeatures={Size=16}]{MyriadPro-Bold}

\definecolor{headings}{HTML}{00adbd}
% violett #c02555
% dunkelblau #2b367c
% sehr dunkles Grau #231f20
% hellblau #00adbd
% orange #f99d1c
% lila #f99d1c
% grün #62bb46





\usepackage{libertine}
\usepackage{babel}

\addto{\captionsenglish}{%
  \renewcommand{\refname}{}
}


\usepackage{geometry}
\geometry{a4paper, margin=21mm}

\makeatletter
\newcommand*{\shifttext}[2]{%
  \settowidth{\@tempdima}{#2}%
  \makebox[\@tempdima]{\hspace*{#1}#2}%
}
\makeatother
\setlength{\parindent}{0pt}% Just for this example


\usepackage{fancyhdr}

\renewcommand{\headrulewidth}{0pt}
\lhead{\shifttext{-15mm}{\fontpagenr\thepage}}
\cfoot{}
\pagestyle{fancy}

% \linespread{1.3}
% \setlength{\parskip}{\baselineskip}%
% \setlength{\parindent}{0pt}%
%generally needs more spacing for legibility

%\usepackage[onehalfspacing]{setspace}%
\title{Smooth Piecewise Polynomials}
\author{Josef Greilhuber}
\usepackage{amsmath,amsfonts,amssymb,amsthm}
\usepackage{stmaryrd}
\usepackage{svg}
\usepackage{array}
\usepackage[document]{ragged2e}
\usepackage{graphicx}
\usepackage{caption}
\usepackage{subcaption}
\usepackage{calc}
\usepackage{mathtools}

\usepackage{thmtools}
%\newtheorem{stz}{Satz}
\newtheorem{cor}{Corollary}
%\newtheorem{lem}{Lemma}
\newtheorem{exa}{Example}
\newtheorem{thm}{Theorem}
\newtheorem{defi}{Definition}
%\theoremstyle{definition}
\newtheorem{rem}{Remark}
%\newtheorem*{bem}{Bemerkung}
%\newtheorem{bsp}{Beispiel}
\newtheorem{prop}{Proposition}
\newtheorem{lem}{Lemma}


\numberwithin{equation}{section}
\usepackage{chngcntr}
\counterwithout{equation}{section}
% Datum der Abgabe
\setmainfont[BoldFont={Minion Pro Bold}]{Minion Pro}

\newcommand{\subheading}[1]{
\vspace{8mm}
{\fontsubheading\textcolor{headings}{#1}}\vspace{2mm}

}

\begin{document}

{\fontheading\textcolor{headings}{\foreignlanguage{nohyphenation}{\begin{sloppypar}
\baselineskip=48pt
  The “Maghedron”
\end{sloppypar}}}}

\vspace{5mm}

{\fontauthor\textcolor{headings}{
  Prof. Jean-Bernard Michel % University of Durham
}}

\vspace{30mm}

\justify

\begin{multicols}{2}

  In 1514, the German artist and amateur mathematician Albrecht Dürer created his famous painting ``Melancolia'', in which a truncated hexahedron as well as a magic square are shown in Figure 1.

     \begin{center}
  \includegraphics[width=7cm]{melan.jpg}\\
  \emph{Figure 1: Melancholia I, by Albrecht Dürer}
  \end{center}

  The presence of a magic square in this painting as well as many other signs has a meaning. I was puzzled by the truncated hexahedron and wondered why Dürer chose this rather than the dodecahedron. Does it represent the failure to discover the beautiful as some authors wrote or simply the search for some relation between the magic square and the polyhedron?

In the 80’s, I asked myself the following question, object of this article: Would it be possible to place different integer numbers at each of the 20 summits of a dodecahedron in such a way that the sum of the integers for each of the face would be the same?


It is to be noted that this problem is similar to that of a magical square of size 5, except in this case there are 25 numbers and 12 equations. Here, we have 20 numbers and 12 equations for the so-called “Maghedron”.

The starting point I used the method discovered by Pascal for constructing magical squares (that I rediscovered during my math. studies). It uses a permutation of the numbers written in the base corresponding to the size of the magical square matrix, i.e. one writes each number of the square in the form:

\[
  X_{i,j} = i \cdot n + j
\]
where $0 \le i, j \le n-1$ and $n$ is the size of the square matrix.

The method to fill in the square is shown on Figure 2 with the case of a $5 \times 5$ square. Two cells are used for each position in the square, the left cell for index $i$, and the right one for index $j$.


TABLE 1

The 1st step as above is to fill the middle lines following the arrows directions (left to right, right to left, top to bottom, bottom to top)


TABLE 2

The 2nd step is to fill the blank cells flowing the arrows directions, starting from the existing cells

TABLE 3

The 3rd step is to transform numbers from base 5 to base 10, e.g. $X_{5,2}= 5\cdot 3 + 4 = 19$

Figure 2 - Example of the construction of a $5 \times 5$ magical square using the Pascal method.


\subheading{The Maghedron}

Let’s now address the main question of this article: would it be possible to place different integer numbers at each of the 20 summits of a dodecahedron in such a way that the sum of the integers for each of the face are the same?  If yes, how many other magic sums can coexist on the so-called ``maghedron'', for example can the median pentagonal sections which are parallel to the faces (in total there are 12 such sections) also be   magical ? First let us name the 20 summits of the dodecahedron from A to T as shown in Figure 3 showing a dodecahedron displayed from various sides.

Each summit is also represented by its sequence number. By convention letter A designates summit number 1 and letter T for number 20. With this convention, it is easy to define the faces, sections and vertices of the dodecahedron.

FIGURE 3


Figure 3 – Definition of the dodecahedron summits
Each of the 12 faces is defined by five summits, as given in Table 1.

This table can be converted to a sparse matrix of dimension $12 \times 20$, which will be used to compute the sums of the numbers for each face.
To find this matrix, let us first define the table above as a $12 \times 5$ matrix:

faces= [ 1, 2, 3, 4, 5; 1, 2, 7,12, 6;	 2, 3, 8,13, 7; 3, 4, 9,14, 8; 4, 5,10,15, 9; 5, 1, 6,11,10; 6,11,16,17,12;
 7,12,17,18,13; 8,13,18,19,14; 9,14,19,20,15;10,15,20,16,11;16,17,18,19,20];	(2)

Table 1 – List of the summits corresponding to the 12 faces

ANOTHER TABLE

Then we can define the matrix of the summits as a sparse matrix ($12 \times 20$) indicating the position of the summits for each face i:

Summits (i, faces(i,j)) =1; j= 1 to 5	(3)

With all other values of the matrix being initialized to zero.  Note that a 1 in the matrix simply defines the summits for each face. Based on this order, the set of equations can be written as:

\[ \mathrm{Summits}.\mathrm{Maghedron}^\intercal = \mathrm{Sum}, \]
with $\mathrm{Sum}(i) = K$, $i=1, \dots, 12$

Maghedron being the solution of the problem, i.e.\ a $12 \times 20$ matrix containing the integers associated with each summit. Note that, for each summit, the integer number will appear three times per column.
K being the constant sum that is yet to be defined.
Adapting the Pascal method to this special case, let us first decompose the integers in base 5, or modulo 5:
\[
M_{ij} = 5 \cdot i + j + 1,
\]
where $0 \le i, j \le 4$. With this convention, we can express all numbers from 1 to 25 with the two indices $i$ and $j$. One is added because it is easier to work with the numbers 1 to 25 rather than 0 to 24. One can also observe that 5 out of the 25 integer numbers will not be used since there are only 20 summits.

To ease the representation and the permutations that will be operated on the number sequences, let us write
\[ M_{ij}= M1_i + M0_j, \]
where $M1 = [A,B,C,D,E] = [0,5,10,15,20]$ and
$M0 = [\alpha, \beta, \gamma, \delta, \epsilon] = [4,5,1,2,3]$.
$i$ and $j$ are chosen in such a way that the resulting number $M_{ij}$ will appear only once.
The sequences used for $M1$ and $M0$ here are purely arbitrary and other permutations would lead to different Maghedron representations.

Then we need to fill in the Maghedron matrix. Taking the template of the Summits matrix as a reference, that is replace the 1s by a pair of letters from the $M0$ and $M1$ sets in such a way that
\begin{itemize}
  \item each pair corresponds to one and only one summit
  \item All five letters are used for each line of the matrix, i.e. for each face of the dodecahedron. In this way it is easy to see that the sum of the faces will be constant and equal to:
\[ K = A+B+C+D+E + \alpha + \beta + \gamma + \delta + \epsilon = 65 \]
\end{itemize}

The solutions, although not trivial, are quite easy to construct, using permutations of the $M0$ and $M1$ sets are shown in Table 3. The permutations are obtained using the horizontal and diagonal arrows as indicated.

$\mathrm{Numbers}(M_{1j}, M_{0j})$ represents the base 5 decomposition of the actual integers.

We can see that the numbers $(A,\gamma)$, $(B,\delta)$, $(C,\epsilon)$, $(D,\alpha)$, $(E,\beta)$ are in this example not used, corresponding to 1, 7, 13, 19, 25, which is quite remarkable, their sum being also equal to 65. The resulting dodecahedron is displayed on Figure 4.

What about the cross sections of the dodecahedron? There are 12 pentagonal cross sections, each one being parallel to two of the dodecahedron faces.

Similarly to previous, we can define them by their summits as follows:

Meridians= [6,7,8,9,10;11,12,13,14,15;2,4,12,15,16;3,7,9,17,20;3,5,11,13,17;4,8,10,16,18;...
          1,4,12,14,18;5,6,9,17,19;2,5,13,15,19;1,7,10,18,20;1,3,11,14,20;2,6,8,16,19];

It can easily be verified that all the sums are equal to 65.

Another ``emerging'' property is related to the sums of the 20 groups of five numbers constituted by each summit and the opposite tetrahedron formed by 4 opposite summits e.g.\ summit $S$ and summits $A$, $B$, $E$, $F$. The sums are also equal to 65!

YET ANOTHER TABLE

Table 3 - Example of solution

FIGURE 4

Figure 4 – Magical dodecahedron

The next question I asked myself was to find how many combinations of these 20 integers exist that give the same constant of 65. Using the software ``Mathematica'', the commands used to list all combinations are:

p = Permutations[{2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24}, {5}]
r = Compositions[65, 5] 
Intersection[p, r] 

The number (vector dimension) obtained has to be divided by the number of circular permutations i.e.\ $(n-1)!$ where $5 \le n \le 24$ . The result is then 2170.

\subheading{Conclusions and further work}

This type of research seems quite attractive in order to study the somewhat hidden relations between space and the natural numbers. The emerging property found in this case with the dodecahedron was indeed not obvious at start. There are numerous possible series of 5 numbers in the selected set of 25 numbers that give the sum of 65. So, we can expect that there are other ways of obtaining the same results with different sets (and not simply by permutations of our $M_{ij}$ numbers). But what are they? Surely a computer program can easily find all the combinations.

I also tried to use the same method on an icosahedron without success.

This raises the more general question of magical polyhedrons and the way to build them. A possible new field of recreational mathematics?


\end{multicols}

\end{document}
